<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
These are some snapshot examples that explain the basic 
effects available with AdvanceMAME when the image 
is stretched.
</p>

<ul>
<li><span class="bold">none</span>
This effect simply duplicates and removes  rows  and
lines when the image is stretched
<li>
<span class="bold">max</span>
This effect tries
to save the image details checking the luminosity  of  the
pixels in stretching. 
<li><span class="bold">mean</span>
This effect tries to save the image details displaying the mean
color of the pixels in stretching. 
<li>
<span class="bold">filter</span>
This effect applies  a generic blur filter computing the mean color in
the horizontal and vertical directions. 
<li>
<span class="bold">scale</span>
This effect scales the image with an integer factor guessing the missing
pixels. Check the <a href="http://www.scale2x.it">Scale2x</a> page.
<li>
<span class="bold">lq</span>
This effect scales the image with an integer factor guessing and interleaving
the border of the missing pixels.
<li>
<span class="bold">hq</span>
This effect scales the image with an integer factor guessing and interleaving
the missing pixels. Check the <a href="http://www.hiend3d.com/hq3x.html">hq3x</a> page.
</ul>

<h1>Examples</h1>

<p>
The NAMCO copyright of DigDug (288 rows) displayed in a NTSC screen (240 rows).
The image is vertically reduced to allow the displaying on an horizontal TVs.
</p>

<table><tr><td>
<img src="blit/namco-no.png" alt="Normal">
</td><td>
Effect <span class="bold">none</span>. Some rows are missing.
</td></tr><tr><td>
<img src="blit/namco-max.png" alt="Max">
</td><td>
Effect <span class="bold">max</span>. No more rows missing, but some details are lost.
</td></tr><tr><td>
<img src="blit/namco-mean.png" alt="Mean">
</td><td>
Effect <span class="bold">mean</span>. No more rows missing and a lot of details.
</td></tr></table>

<p>
Part of the PacMan screen (288 rows) displayed in a NTSC screen (240 rows).
The image is vertically reduced to allow the displaying on an horizontal TVs.
</p>

<table><tr><td>
<img src="blit/pacman-no.png" alt="Normal">
</td><td>
Effect <span class="bold">none</span>. Some rows are missing.
</td></tr><tr><td>
<img src="blit/pacman-max.png" alt="Max">
</td><td>
Effect <span class="bold">max</span>. No more rows missing.
</td></tr></table>

<p>
Part of the Pengo screen. Integer stretching 2x2.
</p>

<table><tr><td>
Effect <span class="bold">none</span>.
</td><td>
Effect <span class="bold">filter</span>. 
Like the original old-fashion Arcade Monitor!
</td></tr><tr><td>
<img src="blit/pengo-no.png" alt="Normal">
</td><td>
<img src="blit/pengo-filter.png" alt="Filter">
</td></tr></table>

<p>
Part of the PacMan screen. Integer stretching 2x2.
</p>

<table><tr><td>
Effect <span class="bold">none</span>.
</td><td>
Effect <span class="bold">filter</span>. 
Like the original old-fashion Arcade Monitor!
</td></tr><tr><td>
<img src="blit/pacman2-no.png" alt="Normal">
</td><td>
<img src="blit/pacman2-filter.png" alt="Filter">
</td></tr></table>

</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>



